$(document).ready(function () {

    var prodDtlViewModule = prodDtlService.viewModule();

    // 제품 상세 페이지에서 검색 버튼 클릭 이벤트 설정
    $('#searchByTextButton').click(function () {
        location.href = '/clfd/prod/list.do?searchText=' + $('#searchByTextInput').val();
    })

    baumanTypeDiv();
    // 바우만 피부타입 파싱
    function baumanTypeDiv() {
        var html = "";
        var baumanType = $('#skTy').val();
        console.log(baumanType);
        html += "<img src='/clfd/img/" + containStr("1", ["O", "D"], baumanType) + ".png'/>";
        html += "<img src='/clfd/img/" + containStr("2", ["S", "R"], baumanType) + ".png'/>";
        html += "<img src='/clfd/img/" + containStr("3", ["P", "N"], baumanType) + ".png'/>";
        html += "<img src='/clfd/img/" + containStr("4", ["W", "T"], baumanType) + ".png'/>";
        $("#baumanTypeDiv").append(html);
    }

    function containStr(num, baumanType, value) {
        var typeStr;
        if (value.includes(baumanType[0])) {
            if (value.includes(baumanType[1])) {
                typeStr = num.concat("A");
            } else {
                typeStr = num.concat(baumanType[0]);
            }
        } else {
            if (value.includes(baumanType[1])) {
                typeStr = num.concat(baumanType[1]);
            } else {
                typeStr = num.concat("X");
            }
        }
        return typeStr;
    }

    // 제품 상세 페이지에서 검색 input의 엔터 키 누를 때 이벤트 설정
    $('#searchByTextInput').keypress(function (e) {
        var key = e.which;
        if (key === 13) {
            $('#searchByTextButton').click();
            return false;
        }
    });

    setInitialInfo();
    // JSP 값으로 불러온 화장품 정보를 JS로 셋팅
    function setInitialInfo() {
        var prod = {
            prodId: $('#prodId').val(),
            rcmdNo: $('#rcmdNo').val(),
            like: $('#like').val(),
        };
        prodDtlService.setProd(prod);
        prodDtlViewModule.drawLikeView($('#likeRoot'));
    }

    // 좋아요 클릭 이벤트
    $('#likeRoot').click(function () {
        if (!prodLikeService.canLike()) {
            return;
        }

        var prod = prodDtlService.getProd();
        var option = {
            scb: function () {
                prodDtlService.toggleLike();
                prodDtlViewModule.drawLikeView($('#likeRoot'));
            },
            ecb: function (res) {
                alert(res.message);
            }
        }
        prodLikeService.prodLikeApiRequest(prod, option);
    });

    // 연관 추천 화장품
    // prodDtlService.viewModule().drawSkTyProdList($("#sktyProdDiv"), $("#skTy").val(), $("#prodId").val());

    $('.similar__product__volume').each(function () {
        if ($(this).text() == '') {
            $(this).text('-');
        }
    });

    $('.similar__product__price').each(function () {
        $(this).text(clfdUtils.formattingDot($(this).text()));
    });

    adjustDtlContainerHeightForMobile();
    adjustDtlContainerHeightForPc();
    $(window).resize(function () {
        adjustDtlContainerHeightForPc();
        adjustDtlContainerHeightForMobile();
    });

    // 모바일 화면에서 성분 텍스트 높이에 따라 동적으로 컨테이너(dtl-inner02__container)의 크기가 조절되도록 하는 코드
    function adjustDtlContainerHeightForMobile() {
        var screenWidth = $(window).width();
        var prodNameHeight = $('.dtl-text__pr').height() ? $('.dtl-text__pr').height() : 0;
        var irdntHeight = $('#prodIrdntDiv').height() ? $('#prodIrdntDiv').height() : 0;
        var baumanHeight = $('#baumanTypeDiv').height() ? $('#baumanTypeDiv').height() : 0;
        var functionHeight = $('#prodFunctionDiv').height() ? $('#prodFunctionDiv').height() : 0;
        var height = prodNameHeight + irdntHeight + baumanHeight + functionHeight;
        if (screenWidth <= 768) {
            $('.dtl-inner02__container').height(height + 600 + 'px');
        } else {
            $('.dtl-inner02__container').height(height + 400 + 'px');
        }
    }

    // PC 화면에서 성분 텍스트 높이에 따라 동적으로 컨테이너(dtl-inner02__rec)의 크기가 조절되도록 하는 코드
    function adjustDtlContainerHeightForPc() {
        var screenWidth = $(window).width();
        if (screenWidth > 768) {
            var prodNameHeight = $('.dtl-text__pr').height() ? $('.dtl-text__pr').height() : 0;
            var irdntHeight = $('#prodIrdntDiv').height() ? $('#prodIrdntDiv').height() : 0;
            var baumanHeight = $('#baumanTypeDiv').height() ? $('#baumanTypeDiv').height() : 0;
            var functionHeight = $('#prodFunctionDiv').height() ? $('#prodFunctionDiv').height() : 0;
            var height = prodNameHeight + irdntHeight + baumanHeight + functionHeight;
            if (height < 0) {
                height = 0;
            }
            //$('.dtl-inner02__rec').css('margin-top',height+'px');
        } else {
        }
    }
})

